# $Revision: 1.57 $, $Date: 2009/03/27 22:11:56 $
%define         _state	stable
%define		orgname	kdemultimedia

%define		taglib_ver	1.5

Summary:	K Desktop Environment - multimedia applications
Summary(pl.UTF-8):	K Desktop Environment - aplikacje multimedialne
Name:		kde4-kdemultimedia
Version:	4.2.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	ebdf9ccc9eae935eda5f78d56773ee9a
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	audiofile-devel
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cdparanoia-III-devel
BuildRequires:	cmake >= 2.6.2
BuildRequires:	flac-devel >= 1.1.2
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	lame
BuildRequires:	lame-libs-devel
BuildRequires:	libcddb-devel
BuildRequires:	libfreebob-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libmusicbrainz-devel >= 1:2.1.1
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtunepimp-devel
BuildRequires:	libvorbis-devel
BuildRequires:	phonon-devel >= 4.3.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	speex-devel
BuildRequires:	taglib-devel >= %{taglib_ver}
BuildRequires:	xine-lib-devel >= 1:1.0
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE multimedia applications. Package includes:

 - KMID - MIDI player,
 - KMIDI - software MIDI player,
 - KMIX - audio mixer,
 - KSCD - CD player,
 - Noatun - a media player.

%description -l pl.UTF-8
Multimedialne aplikacje KDE. Pakiet zawiera:

 - KMID - odtwarzacz MIDI,
 - KMIDI - programowy odtwarzacz MIDI,
 - KMIX - mikser audio,
 - KSCD - odtwarzacz CD,
 - Noatun - odtwarzacz plików multimedialnych.

%package libkcddb
Summary:	CDDB accessing library
Summary(pl.UTF-8):	Biblioteka dostępu do baz CDDB
Group:		X11/Libraries
Requires:	kde4-kdelibs >= %{version}

%description libkcddb
Library for accessing CDDB (cd track information databases) services.

%description libkcddb -l pl.UTF-8
Biblioteka dostępu do serwisów CDDB (baz danych z informacjami o
utworach).

%package devel
Summary:	Header files for kdemultimedia libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek kdemultimedia
Group:		X11/Development/Libraries
Requires:	%{name}-libkcddb = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}
Requires:	%{name}-audiocd >= %{version}

%description devel
Header files for kdemultimedia libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek kdemultimedia

%package audiocd
Summary:	Audiocd protocol for konqueror
Summary(pl.UTF-8):	Protokół audiocd dla konquerora
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{version}-%{release}
Requires:	kde4-konqueror >= %{version}
Provides:	kdemultimedia(audiocd) = %{version}-%{release}

%description audiocd
This package allows konqueror to play audiocd's without the need of an
external application. Just enter audiocd:/ in the location field.

%description audiocd -l pl.UTF-8
Ten pakiet pozwala konquerorowi odtwarzanie płyt z muzyką bez
potrzeby używania zewnętrznej aplikacji. Po prostu wpisz audiocd:/ w
pole adresu.

%package cddb
Summary:	CDDB library for KDE
Summary(pl.UTF-8):	Biblioteka CDDB pod KDE
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{version}-%{release}
Requires:	kde4-kdebase >= %{version}

%description cddb
Support for cd database (CDDB), which is the source for track data for
KDE apps (title, author, etc.) when the cd does not have CD-Text.

%description cddb -l pl.UTF-8
Wsparcie dla baz danych płyt CD (CDDB) z których program ściąga
informacje o odtwarzanym utworze (tytuł, autora itd.) jeśli płyta
nie ma CD-Text.

%package dragon
Summary:	Dragon Player - very simple Phonon-based media player
Summary(pl.UTF-8):	Dragon Player - bardzo prosty odtwarzacz multimediów oparty na Phononie
Group:		X11/Libraries
Requires:	kde4-kdelibs >= %{version}
Requires:	kde4-kdebase-workspace-solid >= %{version}

%description dragon
Dragon Player - very simple Phonon-based media player.

%description dragon -l pl.UTF-8
Dragon Player - bardzo prosty odtwarzacz multimediów oparty na
Phononie.

%package juk
Summary:	A jukebox like program
Summary(pl.UTF-8):	Program spełniający funkcję szafy grającej
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}
Requires:	taglib >= %{taglib_ver}

%description juk
JuK (pronounced jook) is a jukebox and music manager for the KDE
desktop similar to jukebox software on other platforms such as
iTunes(R) or RealOne(R). As is typical with many jukebox applications,
JuK allows you to edit the "tags" of the audio files, and manage your
collection and playlists.

%description juk -l pl.UTF-8
Juk (czyt. dżuk, jak w Jukebox) to szafa grająca i zarządca muzyki
dla KDE podobny do iTunes(R) lub RealOne(R). Podobnie jak wiele innych
tego typu aplikacji, JuK umożliwia modyfikowanie znaczników plików
dźwiękowych i zarządzanie kolekcją oraz playlistami.

%package kmix
Summary:	KDE audio mixer
Summary(pl.UTF-8):	Mikser dźwięku dla KDE
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}

%description kmix
Sound mixer application for KDE.

%description kmix -l pl.UTF-8
Mikser dźwięku dla KDE.

%package kscd
Summary:	KDE CD Player
Summary(pl.UTF-8):	Odtwarzacz CD dla KDE
Group:		X11/Applications
Requires:	%{name}-libkcddb = %{version}-%{release}
Requires:	kde4-kdebase >= %{version}

%description kscd
CD Player with CDDB support. It can automatically update its CD
database with the Internet and show graphical interpretation of played
sounds.

%description kscd -l pl.UTF-8
Odtwarzacz CD z obsługą CDDB. Automatycznie uaktualnia swoją bazę
danych o płytach CD z Internetem. Potrafi także wyświetlić ładną
graficzną interpretację granych dźwięków.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang juk		--with-kde
#%find_lang kio_audiocd	--with-kde
#%find_lang kmid	--with-kde
%find_lang kmix		--with-kde
#%find_lang kmixcfg	--with-kde
%find_lang kscd		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	libkcddb		-p /sbin/ldconfig
%postun	libkcddb		-p /sbin/ldconfig

%post	audiocd		-p /sbin/ldconfig
%postun	audiocd		-p /sbin/ldconfig

%files libkcddb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkcddb.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkcddb.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_includedir}/libkcddb
%{_includedir}/libkcompactdisc
%attr(755,root,root) %{_libdir}/libaudiocdplugins.so
%attr(755,root,root) %{_libdir}/libkcompactdisc.so
%attr(755,root,root) %{_libdir}/libkcddb.so

%files audiocd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_audiocd.so
%attr(755,root,root) %{_libdir}/kde4/kio_audiocd.so
%attr(755,root,root) %{_libdir}/kde4/libaudiocd_encoder*.so
%attr(755,root,root) %{_libdir}/libaudiocdplugins.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudiocdplugins.so.?
%attr(755,root,root) %{_libdir}/libkcompactdisc.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkcompactdisc.so.?
%{_datadir}/apps/kconf_update/upgrade-metadata.sh
%{_datadir}/kde4/services/ServiceMenus/audiocd_play.desktop
%{_datadir}/config.kcfg/audiocd_*_encoder.kcfg
%{_datadir}/apps/kconf_update/audiocd.upd
%{_datadir}/kde4/services/audiocd.protocol
%{_datadir}/kde4/services/audiocd.desktop
%lang(en) %{_kdedocdir}/en/kioslave/audiocd

%files cddb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_cddb.so
%{_datadir}/config.kcfg/libkcddb.kcfg
%{_datadir}/apps/kconf_update/kcmcddb-emailsettings.upd
%{_datadir}/kde4/services/libkcddb.desktop

%files dragon
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dragon
%attr(755,root,root) %{_libdir}/kde4/dragonpart.so
%{_datadir}/apps/dragonplayer
%{_datadir}/apps/solid/actions/dragonplayer-opendvd.desktop
%{_datadir}/apps/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_datadir}/config/dragonplayerrc
%{_datadir}/kde4/services/ServiceMenus/dragonplayer_play_dvd.desktop
%{_datadir}/kde4/services/dragonplayer_part.desktop
%{_desktopdir}/kde4/dragonplayer.desktop
%{_iconsdir}/*/*/apps/dragonplayer.png
%{_iconsdir}/*/*/actions/player-volume-muted.png
# FIXME: add -svg-icons subpackage like in kdebase-workspace and put the icons there
#%{_iconsdir}/*/scalable/actions/player-volume-muted.svgz
#%{_iconsdir}/hicolor/scalable/apps/dragonplayer.svgz
%lang(en) %{_kdedocdir}/en/dragonplayer

%files juk -f juk.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/juk
%{_datadir}/apps/juk
%{_datadir}/kde4/services/ServiceMenus/jukservicemenu.desktop
%{_desktopdir}/kde4/juk.desktop
%{_iconsdir}/*/*/*/juk*.png
%{_datadir}/dbus-1/interfaces/org.kde.juk.collection.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.player.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.search.xml

%files kmix -f kmix.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmix
%attr(755,root,root) %{_bindir}/kmixctrl
%attr(755,root,root) %{_libdir}/libkdeinit4_kmix.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kmixctrl.so
%{_datadir}/apps/kmix
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/autostart/kmix_autostart.desktop
%{_datadir}/kde4/services/kmixctrl_restore.desktop
%{_desktopdir}/kde4/kmix.desktop
%{_iconsdir}/*/*/*/kmix.png
%{_datadir}/dbus-1/interfaces/org.kde.KMix.xml

%files kscd -f kscd.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscd
%{_desktopdir}/kde4/kscd.desktop
%{_datadir}/config.kcfg/kscd.kcfg
%{_datadir}/apps/profiles/kscd.profile.xml
%{_datadir}/apps/kscd
%{_iconsdir}/hicolor/*/apps/kscd.png
%{_iconsdir}/oxygen/*/actions/kscd-dock.png
%{_datadir}/dbus-1/interfaces/org.kde.kscd.cdplayer.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdemultimedia.spec,v $
Revision 1.57  2009/03/27 22:11:56  shadzik
- 4.2.2

Revision 1.56  2009/02/27 14:07:09  shadzik
- 4.2.1

Revision 1.55  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.54  2009/02/20 11:53:43  shadzik
- conditional release/debug build (thx glen)

Revision 1.53  2009/02/20 10:52:44  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.52  2009/02/03 13:50:45  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.50.2.29  2009/01/22 19:37:19  shadzik
- BR: automoc >= 0.9.88
- rel 2

Revision 1.50.2.28  2009/01/22 15:36:13  shadzik
- 4.2.0

Revision 1.50.2.27  2009/01/07 19:24:05  shadzik
- 4.2 RC1

Revision 1.50.2.26  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.50.2.25  2009/01/03 17:44:04  rotom
- up to 4.1.87
- new Source URL

Revision 1.50.2.24  2008/12/15 15:54:14  shadzik
- 4.1.85

Revision 1.50.2.23  2008/12/08 16:11:08  paszczus
- updated to 4.1.82

Revision 1.50.2.22  2008/11/29 04:00:31  shadzik
- 4.1.81

Revision 1.50.2.21  2008/11/26 20:15:27  shadzik
- 4.2 beta1

Revision 1.50.2.20  2008/11/16 09:12:32  paszczus
- fixed %files

Revision 1.50.2.19  2008/11/16 08:45:06  paszczus
- updated  to 4.1.73
- updated cmake BR

Revision 1.50.2.18  2008/11/06 04:14:18  shadzik
- 4.1.72

Revision 1.50.2.17  2008/10/23 19:35:33  rotom
- up to 4.1.71

Revision 1.50.2.16  2008/10/20 00:55:57  shadzik
- rel up and qtver bump up

Revision 1.50.2.15  2008/10/20 00:52:02  shadzik
- s/kde4-kdebase-core/kde4-kdebase/g in Rs

Revision 1.50.2.14  2008/10/18 16:07:01  rotom
- up to 4.1.70

Revision 1.50.2.13  2008/10/10 12:07:35  paszczus
- updated to 4.1.69

Revision 1.50.2.12  2008/10/02 15:29:23  paszczus
- updated to 4.1.68

Revision 1.50.2.11  2008/09/20 13:34:06  paszczus
- updated to 4.1.67

Revision 1.50.2.10  2008/09/05 05:30:49  paszczus
- updated to 4.1.65

Revision 1.50.2.9  2008/08/31 11:48:32  wolf
- /usr/share/apps/kscd had no owner

Revision 1.50.2.8  2008/08/30 23:17:18  shadzik
- 4.1.64

Revision 1.50.2.7  2008/08/24 17:20:23  shadzik
- %files

Revision 1.50.2.6  2008/08/23 14:00:30  shadzik
- 4.1.63
- BR: phonon-devel

Revision 1.50.2.5  2008/08/18 00:07:15  shadzik
- more %files

Revision 1.50.2.4  2008/08/18 00:05:14  shadzik
- %files
- -dragon R: kde4-kdebase-workspace-solid

Revision 1.50.2.3  2008/08/17 22:30:48  shadzik
- 4.1.62

Revision 1.50.2.2  2008/08/15 11:50:16  shadzik
- cmake fix now in cmake itself

Revision 1.50.2.1  2008/08/09 17:12:45  shadzik
- 4.1.61

Revision 1.50  2008/07/25 12:11:28  shadzik
- change state to stable

Revision 1.49  2008/07/25 09:58:23  shadzik
- 4.1.0

Revision 1.48  2008/07/23 13:17:16  shadzik
- -devel R: kde4-kdemultimedia-audiocd
- rel 2

Revision 1.47  2008/07/17 20:29:42  shadzik
- we don't need to export QTDIR as in qt3

Revision 1.46  2008/07/15 18:29:26  shadzik
- 4.0.98

Revision 1.45  2008/07/08 19:43:09  blues
- use virtual kdemultimedia(audiocd)

Revision 1.44  2008/07/05 18:12:05  shadzik
- 4.0.85

Revision 1.43  2008/06/25 18:39:43  qboosh
- unified _ver macro naming scheme

Revision 1.42  2008/06/25 18:31:26  shadzik
- define %_taglibver
- fix R: taglib

Revision 1.41  2008/06/25 18:20:28  shadzik
- update taglib BR

Revision 1.40  2008/06/25 18:08:56  shadzik
- changed taglib BR

Revision 1.39  2008/06/24 17:46:27  shadzik
- 4.0.83

Revision 1.38  2008/06/20 18:52:27  shadzik
- 64bit fix

Revision 1.37  2008/06/12 18:13:41  shadzik
- define supportver

Revision 1.36  2008-06-12 17:36:55  shadzik
- 4.0.82

Revision 1.35  2008-06-06 20:49:56  rotom
- more BRs

Revision 1.34  2008-06-05 15:07:49  shadzik
- 4.0.81

Revision 1.33  2008-05-27 16:36:55  shadzik
- 4.0.80

Revision 1.32  2008-05-27 16:35:44  shadzik
- kill unneeded BR

Revision 1.31  2008-05-24 17:02:28  shadzik
- oops, forgot about R: in juk

Revision 1.30  2008-05-24 17:00:37  shadzik
- 4.0.74
- changed taglib BR to kde4-kdesupport-taglib-devel (fixes build)

Revision 1.29  2008-05-24 16:47:56  shadzik
- useless BRs

Revision 1.28  2008-05-09 17:37:30  shadzik
- 4.0.73
- rel 1

Revision 1.27  2008-04-30 21:22:20  rotom
- 4.0.72

Revision 1.26  2008-04-20 11:03:59  shadzik
- 4.0.70

Revision 1.25  2008-04-09 16:26:10  shadzik
- 4.0.68

Revision 1.24  2008-03-30 04:34:13  shadzik
- added /usr/share/autostart/kmix_autostart.desktop

Revision 1.23  2008-03-30 04:28:33  shadzik
- 4.0.67

Revision 1.22  2008-03-08 00:40:45  shadzik
- 4.0.65

Revision 1.21  2008-03-05 20:04:40  shadzik
- 4.0.64

Revision 1.20  2008-02-18 21:16:26  qboosh
- some cleanups, -dragon desc

Revision 1.19  2008-02-15 02:30:11  shadzik
- scalable icon for dragon

Revision 1.18  2008-02-15 01:58:46  shadzik
- 4.0.62

Revision 1.17  2008-02-10 16:56:58  rotom
- 4.0.61

Revision 1.16  2008-02-06 17:52:41  shadzik
- damn, adapter broke ghost files :/ - fixed

Revision 1.15  2008-02-06 17:47:49  shadzik
- R: konqueror4 -> kde4-konqueror

Revision 1.14  2008-02-06 17:31:09  shadzik
- rel 0.2

Revision 1.13  2008-02-06 17:30:25  shadzik
- R: konqueror4

Revision 1.12  2008-02-06 14:27:48  shadzik
- adapterized

Revision 1.11  2008-02-06 13:04:29  shadzik
- adapterized

Revision 1.10  2008-02-05 17:36:40  shadzik
- proper files in proper places
- audiocd should call ldconfig too

Revision 1.9  2008-02-05 17:30:00  shadzik
- dragon subpackage

Revision 1.8  2008-02-05 17:13:07  shadzik
- 4.0.60
- fixes in Requires

Revision 1.7  2008-02-03 17:31:24  paszczus
- fixed Source0-md5 and building

Revision 1.6  2008-02-03 03:05:34  shadzik
- minlibver is just bullshit

Revision 1.5  2008-02-03 02:15:08  shadzik
- oops, Name fix again

Revision 1.4  2008-02-02 02:02:43  shadzik
- fix BRs and Rs
- kill some deprecated stuff out from kde3
- install -d instead of mkdir

Revision 1.3  2008-01-27 23:30:53  glen
- drop trash

Revision 1.2  2008-01-27 23:29:24  glen
- why start with epoch 9 and old changelog?

Revision 1.1  2008-01-27 18:32:06  rotom
- up to kde 4.0.0
- spec's name changed
